プロジェクト

全般

プロフィール

バグ #1069

bundlerを使ってGemをインストールする時、pluginグループを除外してもプラグインの要求するGemがインストールされる。

toshi_a 初音12ヶ月前に追加. 12ヶ月前に更新.

ステータス:
却下
優先度:
通常
担当者:
-
対象バージョン:
プラグイン名:
ブランチ:
クラッシュする:
いいえ

説明

次のようにしても、例えばgtk2などのプラグインがインストールされてしまっている。

bundle install --without plugin

理由は、プラグインのGemfileでロードされる物をpluginグループに所属させる処理が、最近のBundlerでは期待通り動いていないから。


関連するチケット

ブロック先 バグ #1054: bundle installをしても一部のGemがインストールされない実装待ち2017-06-30

履歴

#1 toshi_a 初音12ヶ月前に更新

  • ブロック先 バグ #1054: bundle installをしても一部のGemがインストールされない を追加

#2 toshi_a 初音12ヶ月前に更新

  • ステータス新規 から 却下 に変更

サードパーティのinBrowserプラグインのGemfileにgroupメソッドが使われていることが原因で、mikutter側には問題はなかった。

他の形式にエクスポート: Atom PDF